 GET DATA  /TYPE = TXT
 /FILE = 'H:\exp\Attitudes\EAST Modellierung\Validierung\Experimente\exp1\stand1.dat'
 /FIXCASE = 1
 /ARRANGEMENT = FIXED
 /FIRSTCASE = 2
 /IMPORTCASE = ALL
 /VARIABLES =
 /1  date 0-6 F7.2
 time 8-12 A5
 subj 13-18 F6.2
 block 19-24 F6.2
 trial 25-30 F6.2
 tcode 31-36 A6
 prep 37-42 F6.2
 postp 43-48 F6.2
 resp 49-54 F6.2
 cor 55-60 F6.2
 lat 61-66 F6.2
 stm1 67-72 F6.2
 stm2 73-78 F6.2
 stm3 79-84 F6.2
 .
CACHE.
EXECUTE.

string id (a14).
compute id = string(subj, f2.0).
compute id = concat("_",id).
compute id = concat(time,id).
compute id = concat(string(date,f6.0),id).
exe.
freq id.

compute exp=1.
exe.

save outfile='exp1_1.sav'.

GET DATA  /TYPE = TXT
 /FILE = 'H:\exp\Attitudes\EAST Modellierung\Validierung\Experimente\exp1\stand2.dat'
 /FIXCASE = 1
 /ARRANGEMENT = FIXED
 /FIRSTCASE = 2
 /IMPORTCASE = ALL
 /VARIABLES =
 /1  date 0-6 F7.2
 time 8-12 A5
 subj 13-18 F6.2
 block 19-24 F6.2
 trial 25-30 F6.2
 tcode 31-36 A6
 prep 37-42 F6.2
 postp 43-48 F6.2
 resp 49-54 F6.2
 cor 55-60 F6.2
 lat 61-66 F6.2
 stm1 67-72 F6.2
 stm2 73-78 F6.2
 stm3 79-84 F6.2
 .
CACHE.
EXECUTE.

string id (a14).
compute id = string(subj, f2.0).
compute id = concat("_",id).
compute id = concat(time,id).
compute id = concat(string(date,f6.0),id).
exe.
freq id.

compute exp=2.
exe.

save outfile='exp1_2.sav'.

add files file=* file='exp1_1.sav'.
exe.
sort cases by id.
freq id.
sel if (id~=' 2150516:44_ 8' & id~= ' 3010511:21_29').
exe.
sel if block>4.
exe.
freq id.

save outfile='exp1.sav'.

***************.

get file='exp1.sav'.

formats subj block cor (F1.0).
compute tcode=ltrim(rtrim(tcode)).
exe.

if (index(tcode,'1')=2) set=1.
if (index(tcode,'2')=2) set=2.
if (index(tcode,'xx')=1) set=0.
exe.
freq set.

if (index(tcode,'p')=1) val=1.
if (index(tcode,'n')=1) val=2.
if (index(tcode,'x')=1 & mod(stm2,2)=1) val=3.
if (index(tcode,'x')=1 & mod(stm2,2)=0) val=4.
exe.
value labels val 1 'Positiv' 2 'Negativ' 3 'nonwort-1' 4 'nonwort-2'.
freq val.


if (index(tcode,'w')=3) col=0.
if (index(tcode,'b')=3) col=1.
if (index(tcode,'g')=3) col=2.
exe.
value labels col 0 'wei' 1 'blau' 2 'grn'.
freq col.

if (mod(subj,2)=0) blaurechts=0.
if (mod(subj,2)=1) blaurechts=1.
exe.
freq blaurechts.

compute t=mod(subj,8).
recode t (1 thru 4=0) (0, 5 thru 7=1) into bed.
if (exp=1 & bed=1) bed=1.
if (exp=2 & bed=1) bed=2.
exe.
value labels bed 0 'Control' 1 'Nonwords' 2 'Extreme Colors'.
freq bed.

formats exp val bed col blaurechts (F1.0).
****************************************************************************.
*INDEX: COR-VAL-SET-COL.
sort cases by id bed blaurechts val col.
aggregate /outfile=* /break=id bed blaurechts val col /cor=mean(cor).
sort cases by id bed blaurechts val col .
sel if col>0.
compute er=1-cor.
exe.
casestovars /id=id bed blaurechts /index=val col.
sort cases by bed blaurechts.
****************************************************************************.
* blau=rechts=pos; differenz so, dass negativer score negative bewertung impliziert.
do if blaurechts=1.
compute er_p = er.1.2 - er.1.1.
compute er_n = er.2.2 - er.2.1.
compute east_er = mean(er.1.1, er.2.2) - mean(er.1.2, er.2.1).
if (bed=1) er_p = er.3.2 - er.3.1.
if (bed=1) er_n = er.4.2 - er.4.1.
if (bed=1) east_er = mean(er.3.1, er.4.2) - mean(er.3.2, er.4.1).
else if blaurechts=0.
compute er_p = er.1.1 - er.1.2.
compute er_n = er.2.1 - er.2.2.
compute east_er = mean(er.1.2, er.2.1) - mean(er.1.1, er.2.2).
if (bed=1) er_p = er.3.1 - er.3.2.
if (bed=1) er_n = er.4.1 - er.4.2.
if (bed=1) east_er = mean(er.3.2, er.4.1) - mean(er.3.1, er.4.2).
end if.
exe.

save outfile='exp1aggr.sav'.

***.


***********************************************.
** EAST-Scores analysieren.

get file 'exp1aggr.sav'.

means er_p er_n east_er by bed.

** exclude those with the incomplete data set and chance level error rates.
sel if (id ~= ' 2180511:33_20  ' & id ~= ' 3010512:07_30  ' & id ~= ' 3010514:16_40  ' & id ~= ' 2150520:28_15  ' ).
exe.

glm er_p er_n by bed blaurechts /wsfactor val 2 /emmeans=tables(bed) compare /emmeans=tables(val)  /emmeans=tables(bed*val) /posthoc=bed (tukey).

sort cases by bed.
split file layered by bed.
glm er_p er_n by bed blaurechts /wsfactor val 2 /emmeans=tables(bed) compare /emmeans=tables(val)  /emmeans=tables(bed*val) /posthoc=bed (tukey).
t-test /testval=0 /var=er_p er_n east_er.
split file off.









********************************************************************************.
********************************************************************************.










****************************************+.
** modellkategorien ausgeben, individuell, fr hmm**.

get file='exp1.sav'.

sel if subj<99.
exe.
sel if block>4.
exe.

formats subj block cor (F1.0).
formats date trial lat (F6.0).
delete variables date time prep postp resp stm1 stm3.
compute tcode=ltrim(rtrim(tcode)).
exe.
formats subj block cor (F1.0).
compute tcode=ltrim(rtrim(tcode)).
exe.

if (index(tcode,'1')=2) set=1.
if (index(tcode,'2')=2) set=2.
if (index(tcode,'xx')=1) set=0.
exe.
freq set.

if (index(tcode,'p')=1) val=1.
if (index(tcode,'n')=1) val=2.
if (index(tcode,'x')=1 & mod(stm2,2)=1) val=3.
if (index(tcode,'x')=1 & mod(stm2,2)=0) val=4.
exe.
value labels val 1 'Positiv' 2 'Negativ' 3 'nonwort-1' 4 'nonwort-2'.
freq val.


if (index(tcode,'w')=3) col=0.
if (index(tcode,'b')=3) col=1.
if (index(tcode,'g')=3) col=2.
exe.
value labels col 0 'wei' 1 'blau' 2 'grn'.
freq col.
sel if col>0.
exe.

if (mod(subj,2)=0) blaurechts=0.
if (mod(subj,2)=1) blaurechts=1.
exe.
freq blaurechts.

compute t=mod(subj,8).
recode t (1 thru 4=0) (0, 5 thru 7=1) into bed.
if (exp=1 & bed=1) bed=1.
if (exp=2 & bed=1) bed=2.
exe.
value labels bed 0 'Control' 1 'Nonwords' 2 'Extreme Colors'.
freq bed.

formats exp val bed col blaurechts (F1.0).

*rechts=pos.
do if (blaurechts=1).
if (col=1) valr = 1.
if (col=2) valr = 0.
else if (blaurechts=0).
if (col=1) valr = 0.
if (col=2) valr = 1.
end if.
exe.

sort cases by id bed blaurechts val valr.
AGGREGATE
  /OUTFILE=*
  /BREAK=id bed blaurechts val valr
  /cor_n = N(cor) /cor = SUM(cor).

compute err=cor_n-cor.
exe.

formats bed blaurechts val valr cor err (F1.0).

sort cases by id(a) bed(a) blaurechts val(d) valr(d).
casestovars /id=id bed blaurechts /index=val valr.

sort cases by bed blaurechts.
save outfile 'exp12kategorien.sav'.

get file 'exp12kategorien.sav'.
sel if bed=0.
save translate 
 /keep id cor.2.1 err.2.1 cor.2.0 err.2.0 cor.1.1 err.1.1 cor.1.0 err.1.0  
 /type=tab /fieldnames /replace /outfile='exp12_east-kategorien_indiv0.dat'.

get file 'exp12kategorien.sav'.
sel if bed=1.
save translate 
 /keep id cor.4.1 err.4.1 cor.4.0 err.4.0 cor.3.1 err.3.1 cor.3.0 err.3.0
 /type=tab /fieldnames /replace /outfile='exp12_east-kategorien_indiv1.dat'.

get file 'exp12kategorien.sav'.
sel if bed=2.
save translate 
 /keep id cor.2.1 err.2.1 cor.2.0 err.2.0 cor.1.1 err.1.1 cor.1.0 err.1.0 
 /type=tab /fieldnames /replace /outfile='exp12_east-kategorien_indiv2.dat'.

