GET DATA  /TYPE = TXT
 /FILE = 'H:\exp\Attitudes\EAST Modellierung\validierung\experimente\exp2\stand3.dat'
 /FIXCASE = 1
 /ARRANGEMENT = FIXED
 /FIRSTCASE = 2
 /IMPORTCASE = ALL
 /VARIABLES =
 /1  date 0-6 F7.2
 time 7-12 A6
 subj 13-18 F6.2
 block 19-24 F6.2
 trial 25-30 F6.2
 tcode 31-36 A6
 prep 37-42 F6.2
 postp 43-48 F6.2
 resp 49-54 F6.2
 cor 55-60 F6.2
 lat 61-66 F6.2
 stm1 67-72 F6.2
 stm2 73-78 F6.2
 stm3 79-84 F6.2
 .
CACHE.
EXECUTE.

formats subj block cor (F1.0).
formats date trial lat (F6.0).
delete variables date time prep postp resp stm1 stm2 stm3.
compute tcode=ltrim(rtrim(tcode)).
exe.

save outfile='exp2.sav'.

formats subj trial (f2.0).
formats lat (f6.0).

***************************************************.

select if block>4.
exe.

if (index(tcode,'p')=1) val=1.
if (index(tcode,'n')=1) val=2.
if (index(tcode,'x')=1) val=0.
exe.
value labels val 1 'Positiv' 2 'Negativ' 0 'Neutral'.

compute set =0.                                
if (index(tcode,'1')>0) set=1.  
if (index(tcode,'2')>0) set=2.  
exe.                            

if (index(tcode,'w')=3) col=0.
if (index(tcode,'@')=3) col=1.
if (index(tcode,'#')=3) col=2.
exe.
freq col.
value labels col 0 'wei' 1 '@' 2 '#'.

if (mod(subj,2)=0) atrechts=0.
if (mod(subj,2)=1) atrechts=1.
exe.

compute bed=mod(subj,4).
recode bed (1 thru 2=1) (0, 3=2).
exe.


save outfile='exp2.sav'.

*****************************************************************************.

GET 'exp2.sav'.
delete variables tcode lat set.
*INDEX: COR-VAL-SET-COL.
aggregate /outfile=* /break=subj val col /cor=mean(cor) /atrechts=mean(atrechts) /bed=mean(bed).
sort cases by subj val col atrechts.
formats val col atrechts bed (F1.0).
sel if col>0.
exe.
casestovars /id=subj atrechts /index=val col.
****************************************************************************.
do if atrechts=1.
compute cor_p = cor.1.1 - cor.1.2 .
compute cor_n = cor.2.1 - cor.2.2.
compute cor_x = cor.0.1 - cor.0.2.
compute east_cor = mean(cor.1.1, cor.2.2) - mean(cor.1.2, cor.2.1).
else if atrechts=0.
compute cor_p = cor.1.2 - cor.1.1 .
compute cor_n = cor.2.2 - cor.2.1.
compute cor_x = cor.0.2 - cor.0.1.
compute east_cor = mean(cor.1.2, cor.2.1) - mean(cor.1.1, cor.2.2).
end if.
exe.

save outfile 'exp2aggr.sav'.

*****************************************************************************.

****************************************************************************.





*********************************************************.
** EAST Effekte analyse.
.
get file 'exp2aggr.sav'.

* exclude wenn zufallsniveau oder unvollstndig.
* subj 26 hat error rate of .47 -> raus.

sel if subj ~= 26.
exe.

glm cor_p cor_x cor_n by bed atrechts /wsfactor val 3.

t-test /testval=0 /var=cor_p cor_n cor_x east_cor.

compute cor_n_=-cor_n.
exe.
t-test /pairs=cor_p with cor_n_.





****************************************+.
** modellkategorien ausgeben, individuell, fr hmm**.

get 'H:\exp\Attitudes\EAST Modellierung\Validierung\Experimente\exp2\exp2.sav'.

sel if col>0.
exe.
compute t=mod(subj,8).
exe.
recode t (1 thru 4=1) (0,5 thru 7=2) into bed.
exe.
recode t (1,2,5,6=1) (3,4,7,0=2) into set.
exe.

* atrechts=1 --> @=pos; atrechts=0 --> # =pos; col:.1=@, .2=#; der score ist negativ, wenn er "negative" Bewertung impliziert.
do if (atrechts=1).
if (col=1) valr = 1.
if (col=2) valr = 0.
else if (atrechts=0).
if (col=1) valr = 0.
if (col=2) valr = 1.
end if.
exe.


sort cases by subj bed atrechts val valr.
AGGREGATE
  /OUTFILE=*
  /BREAK=subj bed atrechts val valr
  /cor_n = N(cor) /cor = SUM(cor).

compute err=cor_n-cor.
exe.

formats bed atrechts val valr cor err (F1.0).

sort cases by subj(a) bed (a) atrechts val(d) valr(d).
casestovars /id=subj bed atrechts /index=val valr.

save translate 
 /keep subj cor.2.1 err.2.1 cor.2.0 err.2.0 cor.1.1 err.1.1 cor.1.0 err.1.0  cor.0.1 err.0.1 cor.0.0 err.0.0 
 /type=tab /fieldnames /replace /outfile='exp2indiv.dat'.




******************************.
** latent-class-vergleiche.
** posterior probabilites of class membership berechnet und eingefgt.

get file 'exp2alles.sav'.

match files file=* file='person.sav'.
match files file=* file='exp2_lat_m.sav'.
exe.

if (postprob1>.5) cl = 1.
if (postprob1<.5) cl = 2.
exe.

t-test /groups=cl(1 2) /var=lat_m cor_m d2time d2er1 d2er2 d2er.
t-test /groups=cl(1 2) /var=nev01 nev02 nev03 nev04 nev05 nev06 nev07 nev08 nev09 nev10 nev11 nev12 nev13 nev14 nev15 nev16 nev.
glm d2time d2er1 d2er2 by bed atrechts cl /emmeans=tables(cl).

****.

