
GET DATA  /TYPE = TXT
 /FILE = 'h:\exp\attitudes\EAST Modellierung\Validierung\Experimente\exp3\auswert\standard4tab.dat'
 /DELCASE = LINE
 /DELIMITERS = "\t"
 /ARRANGEMENT = DELIMITED
 /FIRSTCASE = 2
 /IMPORTCASE = ALL
 /VARIABLES =
 date F6.2
 time A5
 subject F1.0
 blockcode A7
 trialcode A13
 blocknum F2.1
 trialnum F2.1
 latency F5.2
 response F2.1
 correct F1.0
 stimulusnumber1 F2.1
 stimulusitem1 A12
 stimulusonset1 F3.2
 stimulusnumber2 F1.0
 stimulusitem2 A8
 stimulusonset2 F3.2
 stimulusnumber3 F1.0
 stimulusitem3 A8
 stimulusonset3 F3.2
 stimulusnumber4 F1.0
 stimulusitem4 A8
 stimulusonset4 F3.2
 .
CACHE.
EXECUTE.

string id (a10).
compute id = string(subject, f2.0).
compute id = concat(time,id).
exe.
freq id.

sel if ((time~='10:30') & (time~='01:37') & (time ~='01:31') & (time ~='10:19')).
exe.

* Doppelte Flle ermitteln.
SORT CASES BY date(A) time(A) subject(A) blockcode(A) trialcode(A) blocknum(A) trialnum(A) .
MATCH FILES /FILE = * /BY date time subject blockcode trialcode blocknum trialnum
 /FIRST = PrimaryFirst /LAST = PrimaryLast.
DO IF (PrimaryFirst).
COMPUTE MatchSequence = 1 - PrimaryLast.
ELSE.
COMPUTE MatchSequence = MatchSequence + 1.
END IF.
LEAVE MatchSequence.
FORMAT MatchSequence (f7).
COMPUTE InDupGrp = MatchSequence > 0.
SORT CASES InDupGrp(D).
MATCH FILES /FILE = * /DROP = PrimaryFirst InDupGrp MatchSequence.
VARIABLE LABELS PrimaryLast 'Indikator jedes letzten bereinstimmenden Falles als primr' .
VALUE LABELS PrimaryLast 0 'Doppelter Fall' 1 'Primrer Fall'.
VARIABLE LEVEL PrimaryLast (ORDINAL).
FREQUENCIES VARIABLES = PrimaryLast .
EXECUTE.

sel if PrimaryLast=1.
exe.
delete variables primarylast.

sort cases by subject blocknum trialnum.
compute bed = mod(subject,8).
recode bed (0=8) (else=copy).
exe.
freq bed.

sel if subject<25.
exe.

save outfile = 'exp3.sav'.













************gedchtnis.

get file 'exp3.sav'.

sel if blocknum =14.
exe.
compute itemtyp = 0.
do if (bed<=4).
if (index(trialcode, '1testpost')>0) itemtyp=1.
if (index(trialcode, '2testnegt')>0) itemtyp=2.
if (index(trialcode, '1testd1')>0) itemtyp=3.
if (index(trialcode, '2testd1')>0) itemtyp=4.
else if (bed>4).
if (index(trialcode, '2testpost')>0) itemtyp=1.
if (index(trialcode, '1testnegt')>0) itemtyp=2.
if (index(trialcode, '2testd2')>0) itemtyp=3.
if (index(trialcode, '1testd2')>0) itemtyp=4.
end if.
exe.
formats itemtyp (f1.0).
freq itemtyp.

aggregate /outfile=* /break = subject bed blockcode itemtyp /cor = mean(correct) /cors = sum(correct) /lat=mean(latency) /n=n.
casestovars /id=subject /index=itemtyp.

* korrigierte hit- und fa-raten.
compute hitpos = (cors.1+0.5)/(n+1).
compute hitneg = (cors.2+0.5)/(n+1).
compute cr_pos= (cors.3+0.5)/(n+1).
compute cr_neg= (cors.4+0.5)/(n+1).
compute fa_pos= (n-cors.3+0.5)/(n+1).
compute fa_neg= (n-cors.4+0.5)/(n+1).
exe.

*d'-Parameter.
compute dpos = idf.normal(1-fa_pos,0,1) - idf.normal(1-hitpos,0,1).
compute dneg = idf.normal(1-fa_neg,0,1) - idf.normal(1-hitneg,0,1).
exe.

variable labels cors.1 'Summe Hits fr positive Targets' cors.2 'Summe hits negativ' cors.3 'Summe Correct rejections positive' cors.4 'Summe CR negative'.
variable labels lat.1 'Latenz  Hits fr positive Targets' lat.2 'Latenz  hits negativ' lat.3 'Latenz  Correct rejections positive' lat.4 'Latenz  CR negative'.

sort cases by subject.
save outfile = 'memtest.sav'.

desc hitpos hitneg cr_pos cr_neg fa_pos fa_neg dpos dneg.
glm dpos dneg by blockcode /wsfactor valenz 2 /emmeans=tables(overall) /emmeans=tables(blockcode) /emmeans=tables(valenz).
glm lat.1 lat.2 lat.3 lat.4 by bed /wsfactor target 2 valenz 2 /emmeans=tables(overall) /emmeans=tables(bed) /emmeans=tables(target) /emmeans=tables(valenz).





***************Ratings.
get file 'exp3.sav'.
sel if blocknum=13.
exe.

compute itemtyp=99.
if (stimulusnumber1>0) itemtyp=1.
if (stimulusnumber2>0) itemtyp=2.
if (stimulusnumber3>0) itemtyp=3.
if (stimulusnumber4>0) itemtyp=4.
exe.
formats itemtyp (F1.0).

aggregate /outfile=* /break=subject itemtyp blockcode /rating=mean(response) /lat=mean(latency).
casestovars /id=subject /index=itemtyp.

compute rating2=rating.2.
compute rating1=rating.1.
if (blockcode='fragen2') rating2=rating.1.
if (blockcode='fragen2') rating1=rating.2.
exe.

variable labels rating1 'Rating positiv konditionierte Nonwrter' rating2 'Rating negativ konditionierte nonwrter' rating.3 'Rating positive Wrter' rating.4 'Rating negative Wrter'.

sort cases by subject.
save outfile='ratings.sav'.

******************************** 
** Analyse Ratings.

get file 'ratings.sav'

* exclude vpn with change level error rate.
sel if subject~=7.
exe.

desc rating1 rating2 rating.3 rating.4 .

glm rating1 rating2 rating.3 rating.4 by blockcode /wsfactor nonwort 2 valenz 2 /emmeans=tables(overall) /emmeans=tables(valenz) /emmeans=tables(nonwort) /emmeans=tables(nonwort*valenz) /emmeans=tables(nonwort*blockcode) /emmeans=tables(blockcode*valenz) /emmeans=tables(blockcode*nonwort*valenz).

glm rating1 rating2 by blockcode /wsfactor valenz 2 /emmeans=tables(overall) /emmeans=tables(valenz) /emmeans=tables(blockcode*valenz) /print=etasq .
glm rating.3 rating.4 by blockcode /wsfactor valenz 2 /emmeans=tables(overall) /emmeans=tables(valenz) /emmeans=tables(blockcode*valenz) /print=etasq.

t-test /testval=4.5 /var= rating1 rating2 rating.3 rating.4.

t-test /pairs=rating1 with rating.3.
t-test /pairs=rating2 with rating.4.



************ EAST effects.

get file 'exp3.sav'.
sel if blocknum>5 & blocknum<13.
exe.

compute beding = 0.
if subject=1 or subject=2 or subject=3 or subject=4 or subject=9 or subject=10 or subject=11 or subject=12 or subject=17 or subject=18 or subject=19 or subject=20 beding = 1.
if subject =5 or  subject=6 or subject=7 or subject=8 or subject =13 or subject=14 or subject=15 or subject=16 or subject=21 or subject=22 or subject=23 or subject=24 beding = 2.
variable labels beding "Bedingung".
value labels beding 1 "x1=pos, x2=neg" 2 "x1=neg, x2=pos".

compute val = 0.
if (index(trialcode,'p')=1) val=1.
if (index(trialcode,'n')=1) val=2.
if (index(trialcode,'x1')=1 & beding=1) val=3.
if (index(trialcode,'x1')=1 & beding=2) val=4.
if (index(trialcode,'x2')=1 & beding=1) val=4.
if (index(trialcode,'x2')=1 & beding=2) val=3.
exe.
value labels val 1 'positiv' 2 'negativ' 3 'konditioniert-positiv' 4 'konditioniert-negativ'.

compute col = 0.
if (index(trialcode,'w')>0) col=3.
if (index(trialcode,'b')>0) col=2.
if (index(trialcode,'g')>0) col=1.
exe.
value labels col 1 'grn' 2 'blau' 3 'weiss' .

save outfile='exp3_.sav'.

crosstabs val by col.

sort cases by subject bed val col.
aggregate /outfile=* /break=subject bed val col /cor=mean(correct) /cors=sum(correct) /n=n.
sort cases by subject bed val col.
freq subject bed val col.
formats bed val col (F1.0).
compute er=1-cor.
exe.
casestovars /id=subject bed /index=val col.

desc er.1.1 er.1.2 er.2.1 er.2.2 er.3.1 er.3.2 er.4.1 er.4.2.

recode bed (1-4=1) (5-8=2) into nwset.
recode bed (1,2,5,6=1) (3,4,7,8=2) into wset.
recode bed (1,3,5,7=1) (2,4,6,8=0) into blaupos.
exe.

* .1=grn, .2=blau; der score ist negativ, wenn er "negative" Bewertung impliziert.
do if (blaupos=1).
compute er_p = er.1.1 - er.1.2.
compute er_n = er.2.1 - er.2.2.
compute er_xp = er.3.1 - er.3.2.
compute er_xn = er.4.1 - er.4.2.
compute east_er = mean(er.1.1, er.2.2) - mean(er.1.2, er.2.1).
compute east_xer = mean(er.3.1, er.4.2) - mean(er.3.2, er.4.1).
else if (blaupos=0).
compute er_p = er.1.2 - er.1.1.
compute er_n = er.2.2 - er.2.1.
compute er_xp = er.3.2 - er.3.1.
compute er_xn = er.4.2 - er.4.1.
compute east_er = mean(er.1.2, er.2.1) - mean(er.1.1, er.2.2).
compute east_xer = mean(er.3.2, er.4.1) - mean(er.3.1, er.4.2).
end if.
exe.

save outfile 'exp3aggr.sav'.

**********************.
** EAST Effekte analyse.

get file 'exp3aggr.sav'.

* exclude vpn with change level error rate.
sel if subject ~=7.
exe.

desc er_p er_n er_xp er_xn east_er east_xer.

glm er_p er_n er_xp er_xn /wsfactor typ 2 val 2 /emmeans=tables(typ)  /emmeans=tables(val)  /emmeans=tables(typ*val).

t-test /testval=0 /var=er_p er_n er_xp er_xn .



************************* Modellkategorien, individuell (HMM).


get file 'H:\exp\Attitudes\EAST Modellierung\Validierung\Experimente\exp3\auswert\exp3.sav'.
sel if blocknum>5 & blocknum<13.
exe.

compute beding = 0.
if subject=1 or subject=2 or subject=3 or subject=4 or subject=9 or subject=10 or subject=11 or subject=12 or subject=17 or subject=18 or subject=19 or subject=20 beding = 1.
if subject =5 or  subject=6 or subject=7 or subject=8 or subject =13 or subject=14 or subject=15 or subject=16 or subject=21 or subject=22 or subject=23 or subject=24 beding = 2.
variable labels beding "Bedingung".
value labels beding 1 "x1=pos, x2=neg" 2 "x1=neg, x2=pos".

compute val = 0.
if (index(trialcode,'p')=1) val=1.
if (index(trialcode,'n')=1) val=2.
if (index(trialcode,'x1')=1 & beding=1) val=3.
if (index(trialcode,'x1')=1 & beding=2) val=4.
if (index(trialcode,'x2')=1 & beding=1) val=4.
if (index(trialcode,'x2')=1 & beding=2) val=3.
exe.
value labels val 1 'positiv' 2 'negativ' 3 'konditioniert-positiv' 4 'konditioniert-negativ'.

compute col = 0.
if (index(trialcode,'w')>0) col=3.
if (index(trialcode,'b')>0) col=2.
if (index(trialcode,'g')>0) col=1.
exe.
value labels col 1 'grn' 2 'blau' 3 'weiss' .

recode bed (1-4=1) (5-8=2) into nwset.
recode bed (1,2,5,6=1) (3,4,7,8=2) into wset.
recode bed (1,3,5,7=1) (2,4,6,8=0) into blaupos.
exe.

sel if col<3.
exe. 

do if (blaupos=1).
if (col=2) valr=1.
if (col=1) valr=0.
else if (blaupos=0).
if (col=2) valr=0.
if (col=1) valr=1.
end if.
exe.

sort cases by id val valr.
AGGREGATE
  /OUTFILE=*
  /BREAK=id val valr
  /cor_n = N(correct) /cor = SUM(correct).

compute err=cor_n - cor.
exe.

formats val valr cor err (F1.0).

sort cases by id(a) val(d) valr(d).
casestovars /id=id /index=val valr.

save translate 
 /keep id cor.2.1 err.2.1 cor.2.0 err.2.0 cor.1.1 err.1.1 cor.1.0 err.1.0  cor.4.1 err.4.1 cor.4.0 err.4.0 cor.3.1 err.3.1 cor.3.0 err.3.0
 /type=tab /fieldnames /replace /outfile='exp3indiv.dat'.






















** ALT **.












************* alles.

get file 'modell/east3_er_alle.sav'.
match files /file=* /file='memtest.sav'.
exe.
match files /file=* /file='ratings.sav'.
exe.

***************EAST: Juliane.

compute beding = 0.
if vp=1 or vp=2 or vp=3 or vp=4 or vp=9 or vp=10 or vp=11 or vp=12 or vp=17 or vp=18 or vp=19 or vp=20 beding = 1.
if vp =5 or  vp=6 or vp=7 or vp=8 or vp =13 or vp=14 or vp=15 or vp=16 or vp=21 or vp=22 or vp=23 or vp=24 beding = 2.
variable labels beding "Bedingung".
value labels beding 1"x1=pos, x2=neg" 2"x1=neg, x2=pos".

do if (beding = 1) . 
recode x1prt x1prt_n x1per x1per_n x1nrt x1nrt_n x1ner x1ner_n   x2prt x2prt_n x2per x2per_n  x2nrt x2nrt_n x2ner x2ner_n (0 thru 5000=Copy) 
into  xpprt xpprt_n xpper xpper_n xpnrt xpnrt_n xpner xpner_n   xnprt xnprt_n xnper xnper_n  xnnrt xnnrt_n xnner xnner_n .  
end if .

do if (beding = 2) . 
recode x1prt x1prt_n x1per x1per_n x1nrt x1nrt_n x1ner x1ner_n   x2prt x2prt_n x2per x2per_n  x2nrt x2nrt_n x2ner x2ner_n (0 thru 5000=Copy) 
into  xnprt xnprt_n xnper xnper_n xnnrt xnnrt_n xnner xnner_n   xpprt xpprt_n xpper xpper_n  xpnrt xpnrt_n xpner xpner_n .  
end if .

exe.

compute pos_rt = pnrt - pprt.
compute neg_rt = nnrt - nprt.
compute pos_er = pner - pper.
compute neg_er = nner - nper.

compute xp_rt = xpnrt - xpprt.
compute xp_er = xpner - xpper.
compute xn_rt = xnnrt - xnprt.
compute xn_er = xnner - xnper.
exe.

save outfile='exp3alles.sav'.




********************************************************************************************************.




t-test / testval = 0 / var = pos_rt neg_rt xp_rt xn_rt.
t-test / testval = 0 / var = pos_er neg_er xp_er xn_er.


GLM
  pos_er xp_er neg_er xn_er
  /WSFACTOR = valenz 2 Polynomial condi 2 Polynomial
  /METHOD = SSTYPE(3)
  /PLOT = PROFILE( condi*valenz )
  /EMMEANS = TABLES(OVERALL)
  /PRINT = DESCRIPTIVE
  /CRITERIA = ALPHA(.05)
  /WSDESIGN = valenz condi valenz*condi .

GLM
  pos_rt xp_rt neg_rt xn_rt
  /WSFACTOR = valenz 2 Polynomial condi 2 Polynomial
  /METHOD = SSTYPE(3)
  /PLOT = PROFILE( condi*valenz )
  /EMMEANS = TABLES(OVERALL)
  /PRINT = DESCRIPTIVE
  /CRITERIA = ALPHA(.05)
  /WSDESIGN = valenz condi valenz*condi .


***.

corr pos_er neg_er xp_er xn_er with rating1 rating2 rating.3 rating.4 /print nosig.
corr pos_er neg_er xp_er xn_er with lat.1 lat.2  lat.3 lat.4 hitpos hitneg cr_pos cr_neg fa_pos fa_neg /print nosig.
corr rating1 rating2 rating.3 rating.4 with lat.1 lat.2  lat.3 lat.4 hitpos hitneg cr_pos cr_neg fa_pos fa_neg /print nosig.

corr pd2
p2
an2
ap2
axn2
axp2
c_2
g2
with pos_er neg_er xp_er xn_er /print nosig.

graph /scatter=an2 with neg_er by vp.
tem.
sel if vp~=7.
corr an2 with neg_er.

graph /scatter=ap2 with pos_er by vp.
tem.
sel if vp~=7.
corr ap2 with pos_er.

graph /scatter=axn2 with xn_er by vp.
tem.
sel if vp~=7.
cor axn2 with xn_er.

graph /scatter=axp2 with xp_er by vp.
tem.
sel if (vp~=5 & vp~=7).
cor axp2 with xp_er.


tem.
sel if vp~=7.
corr pd3
p3
an3
ap3
axn3
axp3
c_3
with pos_er neg_er xp_er xn_er /print nosig.


tem.
sel if vp~=7.
graph /scatter=an3 with neg_er by vp.
graph /scatter=ap3 with pos_er by vp.
graph /scatter=axn3 with xn_er by vp.
graph /scatter=axp3 with xp_er by vp.


**************.

corr an2 an3 ap2 ap3 axn2 axn3 axp2 axp3 with rating1 rating2 rating.3 rating.4 /print nosig.
corr an2 an3 ap2 ap3 axn2 axn3 axp2 axp3 with lat.1 lat.2  lat.3 lat.4 hitpos hitneg cr_pos cr_neg fa_pos fa_neg dpos dneg /print nosig.

tem.
sel if vp~=7.
graph /scatter=axn2 with dpos.

graph /scatter=axn2 with cr_neg by vp.
cor axn2 with cr_neg.

graph /scatter=axn3 with cr_neg by vp.
cor axn3 with cr_neg.

graph /scatter=an2 with dpos by vp.
graph /scatter=an3 with dpos.
graph /scatter=an3 with hitpos.

graph /scatter=axn3 with lat.1.

corr pd3b
p3b
a3b
axn3b
axp3b
c_3b
g3b with lat.1 lat.2  lat.3 lat.4 hitpos hitneg cr_pos cr_neg fa_pos fa_neg dpos dneg /print nosig.

graph /scatter=a3b with dpos.